﻿{% extends "base.html" %}

{% load static %}



{% block title %}Modification vehicule {% endblock %}
{% block extra_head %}
<link rel="stylesheet" type="text/css" href="{% static "css/post-wizard.css" %}">

{% endblock %}
{% block content %}

      <!-- =-=-=-=-=-=-= Main Header End  =-=-=-=-=-=-= --> 
      <!-- =-=-=-=-=-=-= Breadcrumb =-=-=-=-=-=-= -->
      <div class="page-header-area-2 gray">
         <div class="container">
            <div class="row">
               <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <div class="small-breadcrumb">
                     <div class="breadcrumb-link">
                        <ul>
                           <li><a href="/">Accueil</a></li>
                           <li><a class="active" href="#">Publication de véhicule</a></li>
                        </ul>
                     </div>
                     <div class="header-page">
                        <h1>Modification vehicule </h1>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="section-padding no-top gray ">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                     <!-- end post-padding -->
                     <div id="addCar" class="post-ad-form postdetails">
                                             <!-- Nav tabs -->
                                             <div class="wizard">
                                                <div class="wizard-inner">
                                                    <div class="connecting-line"></div>
                                                    <ul class="nav nav-tabs" role="tablist">
                                    
                                                        <li role="presentation" class="active">
                                                            <a href="#step1" data-toggle="tab" id="v-step1" aria-controls="step1" role="tab" title="Identité">
                                                                <span class="round-tab">
                                                                    <i class="glyphicon glyphicon-list-alt"></i>
                                                                </span>
                                                            </a>
                                                        </li>
                                    
                                                        <li role="presentation" class="disabled">
                                                            <a href="#step2" data-toggle="tab" aria-controls="step2" role="tab" title="Options">
                                                                <span class="round-tab">
                                                                    <i class="glyphicon glyphicon-cog"></i>
                                                                </span>
                                                            </a>
                                                        </li>
                                                        <li role="presentation" class="disabled">
                                                            <a href="#step3" data-toggle="tab" aria-controls="step3" role="tab" title="Images">
                                                                <span class="round-tab">
                                                                    <i class="glyphicon glyphicon-picture"></i>
                                                                </span>
                                                            </a>
                                                        </li>
                                                        <li role="presentation" class="disabled">
                                                         <a href="#step4" data-toggle="tab" aria-controls="step4" role="tab" title="Prix">
                                                             <span class="round-tab">
                                                                 <i class="glyphicon glyphicon-usd"></i>
                                                             </span>
                                                         </a>
                                                     </li>
                                                        <li role="presentation" class="disabled">
                                                         <a href="#step5" data-toggle="tab" aria-controls="step5" role="tab" title="Documents">
                                                             <span class="round-tab">
                                                                 <i class="glyphicon glyphicon-folder-open"></i>
                                                             </span>
                                                         </a>
                                                     </li>

                                                  <li role="presentation" class="disabled">
                                                   <a href="#step6" data-toggle="tab" aria-controls="step6" role="tab" title="Disponibilité">
                                                       <span class="round-tab">
                                                           <i class="glyphicon glyphicon-calendar"></i>
                                                       </span>
                                                   </a>
                                               </li>
                                                    </ul>
                                                </div>
                                    
                                                <form  method="post"  enctype="multipart/form-data" id="newCarForm">{% csrf_token %}
                                                   <div class="tab-content">
                                                   <!-- PREMIERE ETAPES -->
                                                        <div class="tab-pane active" role="tabpanel" id="step1">
                                                         <h3>Identité du véhicule</h3>
                                                         <p>Renseignez les informations de base, les informations importantes (*)</p> <p> sont neccessaires à la visibilité du véhicule par les autres utilisateurs</p>
                                                         <div class="row">

                                                         </div>
                                                         <div class="row">
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label class="control-label" >Description de la voiture</label>
                                                               {{ form_Voiture.description}}
                                                            </div>
                                                            <!-- VILLE  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Ville <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.ville }}
                                                            </div>
                                                            <!-- QUARTIER  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Quartier <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.quartier }}
                                                            </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="row">

                                                            <!-- MARQUE  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Marque <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.marque }}
                                                            </div>
                                                            <!-- MODELE  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Modèle <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.modele }}
                                                            </div>
                                                            <!-- TYPE  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Type de véhicule </label>
                                                               {{ form_Voiture.type_vehicule }}
                                                            </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="row">
                                                            <!-- Category  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Transmission <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.transmission }}
                                                            </div>
                                                            <!-- Price  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Carburant <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.carburant }}                                                       
                                                            </div>
                                                              <!-- Category  -->
                                                              <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Portes </label>
                                                               {{ form_Voiture.nbr_porte }}
                                                            </div>
                                                         </div>
                                                         <!-- end row -->

                                                         <div class="row">
                                                           
                                                            <!-- Price  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label class="control-label">KM <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.kilometrage }}                                                               </div>
                                                            <!-- Category  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label class="control-label">Immatriculation <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.immatriculation }}                                                               </div>
                                                            <!-- Price  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label class="control-label">Nombre de Places</label>
                                                               {{ form_Voiture.nbr_place }}
                                                            </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="row">
                                                             <!-- Price  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Couleur </label>
                                                               {{ form_Voiture.couleur }}
                                                            </div>
                                                            <!-- Category  -->
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label>Annee  <span class="color-red" style="color: red;">*</span></label>
                                                               {{ form_Voiture.annee_mise_en_circulation }} 
                                                            </div>
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                               <label class="control-label">Chauffeur<small> fournit avec le véhicule</small></label>
                                                               <div class="skin-minimal">
                                                                  <ul class="list">
                                                                     <li>
                                                                        {% for choice in form_Voiture.chauffeur %}
                                                                        {% ifequal choice.choice_label "Oui" %}
                                                                           <input name='chauffeur' 
                                                                           id='{{ form.pc_type.auto_id }}_{{ forloop.counter0 }}' type='radio' value='{{ choice.choice_label}}'/>
                                                                         <label for='{{ choice.tag }}_{{ forloop.counter0 }}'>{{ choice.choice_label }}</label>
                                                                        {% endifequal %}
                                                                        {% ifequal choice.choice_label "Non" %}
                                                                        <input name='chauffeur' 
                                                                        id='{{ form.pc_type.auto_id }}_{{ forloop.counter0 }}' type='radio' value='{{ choice.choice_label}}'/>
                                                                        <label for='{{ choice.tag }}_{{ forloop.counter0 }}'>{{ choice.choice_label }}</label>
                                                                        {% endifequal %}
                                                                     {% endfor %}  
                                                                     </li>

                                                                  </ul>
                                                               </div>
                                                            </div>
                                                         </div>
                                                            <div class="row">
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Proprietaire<small>La voiture vous appartient?</small></label>
                                                                  <div class="skin-minimal">

                                                                     <select class="form-control" id="yesCheck" name="owner">
                                                                        <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->

                                                                     {% if voiture.proprietaire == 'oui' %}
                                                                        <option value="oui" selected="selected">oui</option>
                                                                        <option value="non" >non</option>
                                                                     {% else %}
                                                                        <option value="oui" >oui</option>
                                                                        <option value="non" selected="selected">non</option>
                                                                     {% endif %}                                                                     </select>  
                                                                  </div>

                                                               </div>
                                                               <!-- Ad Condition  -->

                                                            </div>
                                                            <!-- Image Upload  -->
                                                            {% if voiture.proprietaire == 'oui' %}
                                                             <div class="row" id="ifYes" style="display:none">
                                                            {% else %}
                                                               <div class="row" id="ifYes" style="display:block">
                                                            {% endif %} 
                                                               <!-- Civilite  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Civilité  <span class="color-red">*</span></label>
                                                                  {{form_Owner.civilite}}
                                                               </div>                                                         
                                                               <!-- nom  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Nom</label>
                                                                  {{form_Owner.nom}}                                                               </div>
                                                               <!-- prenom  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Prénom</label>
                                                                  {{form_Owner.prenom}}                                                               </div>
                                                               <!-- mail  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Email</label>
                                                                  {{form_Owner.email}}
                                                               </div>
                                                               <!-- phone  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Telephone</label>
                                                                  {{form_Owner.tel}}
                                                               </div>
                                                               <!-- date  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Date de naissance</label>
                                                                  {{form_Owner.date_naiss}}                                                               </div>
                                                               <!-- VILLE  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Ville de résidence <span class="color-red">*</span></label>
                                                                  {{ form_Owner.ville }}
                                                               </div>
                                                               <!-- QUARTIER  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Quartier de résidence <span class="color-red">*</span></label>
                                                                  {{ form_Owner.quartier }}
                                                               </div>

                                                              
                                                            <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                     <label>Justificatif <span class="color-red">*</span></label>
                                                                     <div class="input-group">
                                                                        <span class="input-group-btn">
                                                                        <span class="btn btn-default btn-file">
                                                                           <i class="fa fa-folder"></i>procuration {{form_Owner.fichier}}
                                                                        </span>
                                                                        </span>
                                                                        <input type="text" class="form-control" name="fileUploaded" readonly>
                                                                        <input type="hidden" name="id_proc" value="{{proprietaire.id}}" readonly>
                                                                     </div>
                                                                  </div>
                                                               
                                                            </div>
                                                            <ul class="list-inline pull-right">
                                                                <li><button  id="save-step1" type="button" class="btn btn-danger next-step">Sauvegarder et continuer</button></li>
                                                            </ul>
                                                        </div>

                                                        <!-- DEUXIEME ETAPES -->
                                                        <div class="tab-pane" role="tabpanel" id="step2">
                                                            <h3>Options du véhicule</h3>
                                                            <p>Choissisez des option payante associés à votre voiture</p>
                                                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                               <label class="control-label">Sélectionnez les fonctionnalités gratuite de votre voiture</label>
                                                               <!-- Brands List -->                    
                                                               <div class="skin-minimal">
                                                                  <ul class="list">
                                                                     {% for optcar in freeOptionVehiculeList %}
                                                                     <li class="col-md-4 col-sm-6 col-xs-12">
                                                                        <input  type="checkbox" name="opt_free" value="{{optcar.option.libelle}}" checked="checked">
                                                                        <label >{{optcar.option.libelle}} </label>
                                                                     </li>
                                                                     {% endfor %}
                                                                        {% for opt in optionListFree %}
                                                                              <li class="col-md-4 col-sm-6 col-xs-12">
                                                                                 <input  type="checkbox" name="opt_free" value="{{opt.libelle}}">
                                                                                 <label >{{opt.libelle}} </label> 
                                                                              </li>                                                                        
                                                                        {% endfor %}
                                                                  </ul>
                                                               </div>
                                                               <!-- Brands List End -->  
                                                            </div>
                                                            <div class="clearfix" style="margin-bottom: 10px"></div>
                                                            <div class="row">
                                                               <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Sélectionnez les fonctionnalités payante de votre voiture</label>
                                                                  <!-- Brands List -->                    
                                                                  <div class="skin-minimal">
                                                                     <ul class="list">
                                                                        {% for optcar in paieOptionVehiculeList %}
                                                                                <li class="col-md-4 col-sm-6 col-xs-12">
                                                                                    <div class="row" style="margin-left: -25px;">
                                                                                        <div class="col-lg-8">
                                                                                            <label><input  type="checkbox"  name="opt_paie" value="{{optcar.option.libelle}}" checked="checked" ><label >{{optcar.option.libelle}}:</label></label>
                                                                                        </div>
                                                                                        <di class="col-lg-4">
                                                                                            <input type="text" placeholder="prix" name="{{optcar.option.libelle}}" value="{{optcar.prix}}" size="10">
                                                                                        </di>
                                                                                    </div>
                                                                                 </li>

                                                                        {% endfor %}

                                                                        {% for opt in optionListPaie %}

                                                                            <li class="col-md-4 col-sm-6 col-xs-12">
                                                                                <div class="row" style="margin-left: -25px;">
                                                                                    <div class="col-lg-8">
                                                                                        <label><input  type="checkbox"  name="opt_paie" value="{{opt.libelle}}" ><label >{{opt.libelle}}:</label></label>
                                                                                    </div>
                                                                                    <di class="col-lg-4">
                                                                                        <input type="text" placeholder="prix" name="{{optcar.libelle}}" value="{{optcar.prix}}" size="10" >
                                                                                    </di>
                                                                                </div>
                                                                             </li>
                                                                        {% endfor %}
                                                                  </ul>
                                                                  </div>
                                                                  <!-- Brands List End -->  
                                                               </div>
                                                               
                                                            </div>
                                                            
                                                            <!-- end row -->
                                                            <div class="clearfix" style="margin-bottom: 20px"></div>
                                                            <ul class="list-inline pull-right">
                                                                <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                                <li><button type="button" class="btn btn-danger next-step">Sauvegarder et continuer</button></li>
                                                            </ul>
                                                        </div>
                                                        <div class="tab-pane" role="tabpanel" id="step3">
                                                            <h3>Images du véhicule</h3>
                                                            <p>Image de mise en avant</p>
                                                         <!-- Image Upload  -->
                                                         <div class="row">
                                                            <!-- <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                               <label class="control-label">Photos pour votre voiture<small>Veuillez ajouter des images de votre voiture. (350x450)</small></label>
                                                               <div id="dropzone" class="dropzone"></div>
                                                            </div>  -->
                                                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                            <div class="form-group">
                                                               <div class="col-md-9">
                                                                  <div class="input-group">
                                                                     <span class="input-group-btn">
                                                                     <span class="btn btn-default btn-file">
                                                                     Image… <input type="file" id="imgInp" name="feature" value="{{voiture.feature }}">
                                                                     </span>
                                                                     </span>
                                                                     <input type="text" class="form-control" value="{{voiture.feature }}" name="fileimg" readonly>
                                                                  </div>
                                                               </div>
                                                               <div class="col-md-3">
                                                                  <img id="img-upload" class="img-responsive" src="{% get_media_prefix %}{{voiture.feature }}" alt="" />
                                                               </div>
                                                            </div>
                                                         </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="row">
                                                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                               <label class="control-label">Gallerie : <small>Cliquez sur l'espace en gris pour ajouter une image. (350x450)</small></label>
                                                               <div id="dropzone" class="dropzone">
                                                                  <div class="fallback">
                                                                     </div>
                                                               </div>
                                                            </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="clearfix" style="margin-bottom: 20px"></div>
                                                         <ul class="list-inline pull-right">
                                                               <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                               <li><button type="button" class="btn btn-danger btn-info-full next-step">Sauvegarder et continuer</button></li>
                                                         </ul>
                                                         </div>
                                                         <div class="tab-pane" role="tabpanel" id="step4">
                                                            <h3>Prix de location</h3>
                                                            <p>tarif</p>
                                                            <div class="row">
                                                               <div class="col-md-6 col-lg-6 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Prix par jour</label>
                                                                  {{ form_Voiture.prix }}
                                                               </div>
                                                               <div class="col-md-6 col-lg-6 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Prix par Km</label>
                                                                  {{ form_Voiture.prixKm }}
                                                               </div>
                                                            </div>
                                                            <!-- end row -->
                                                            <div class="clearfix" style="margin-bottom: 20px"></div>
      
                                                            <div class="row">
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Mode de payement<small></small></label>
                                                                  <div class="skin-minimal">
      
                                                                     {{ form_Voiture.mode_paie }} 
                                                                  </div>
      
                                                               </div>
                                                               <!-- Ad Condition  -->
      
                                                            </div>
                                                      {% if voiture.mode_paie == 'abonnement' %}
                                                         <div class="row" id="mode" style="display:block;">
                                                     {% else %}
                                                         <div class="row" id="mode" style="display:none;">
                                                     {% endif %} 
                                                      
                                                     <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12" >
                                                      <label class="control-label">Type d'abonnement</label>
                                                      {{ form_Voiture.type_abonnement }} 
                                                </div>
                                                      </div>
                                                      <div class="clearfix" style="margin-bottom: 40px"></div>
                                                      <ul class="list-inline pull-right">
                                                            <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                            <li><button type="button" class="btn btn-danger btn-info-full next-step">Sauvegarder et continuer</button></li>
                                                      </ul>
                                                   </div>
                                                   <div class="tab-pane" role="tabpanel" id="step5">
                                                      <h3>Documents du véhicule</h3>
                                                      <p>Charger les pieces</p>
                                                      <fieldset> <legend>Assurances</legend>
                                                      <div class="row">
                                                         <!-- <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                            <label class="control-label">Photos pour votre voiture<small>Veuillez ajouter des images de votre voiture. (350x450)</small></label>
                                                            <div id="dropzone" class="dropzone"></div>
                                                         </div>  -->
                                                        
                                                         <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                            <label class="control-label">Date de realisation</label>
                                                            <input class="form-control" placeholder="jj/mm/aaaa" type="date" name="assureDStart" value="{{assurance.date_debut|date:'Y-m-d'}}">
                                                         </div>
                                                         <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                            <label class="control-label">Date d'expiration</label>
                                                            <input class="form-control" placeholder="jj/mm/aaaa" type="date" name="assureDEnd" value="{{assurance.date_fin|date:'Y-m-d'}}">
                                                         </div>
   
                                                      <div class="form-group">
                                                         <div class="col-md-6">
                                                            <label>Document <span class="color-red">*</span></label>
                                                            <div class="input-group">
                                                               <span class="input-group-btn">
                                                               <span class="btn btn-default btn-file">
                                                                  <i class="fa fa-folder"></i>Fichier <input type="file"  name="assure" id="id_assure">
                                                               </span>
                                                               </span>
                                                               <input type="text" class="form-control" name="fileUploaded" readonly value="{{assurance.doc}}">
                                                            </div>
                                                         </div>
                                                      </div>
                                                      </div>
                                                   </fieldset>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <fieldset> <legend>Carte grise</legend>
                                                      <div class="row">
                                                         <!-- <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                            <label class="control-label">Photos pour votre voiture<small>Veuillez ajouter des images de votre voiture. (350x450)</small></label>
                                                            <div id="dropzone" class="dropzone"></div>
                                                         </div>  -->
                                                        
                                                         <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                            <label class="control-label">Date d'attribution</label>
                                                            <input class="form-control" placeholder="10000" type="date" name="grayDAdd" value="{{carteGrise.date_debut|date:'Y-m-d'}}">
                                                         </div>
                                                         <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                            <label class="control-label">Immatriculation</label>
                                                            <input class="form-control" placeholder="saisisez l'Immatriculation"  required="true" type="text" name="grayNum" value="{{carteGrise.reference}}">
                                                         </div>
                                                      <div class="form-group">
                                                         <div class="col-md-6">
                                                            <label>Document <span class="color-red">*</span></label>
                                                            <div class="input-group">
                                                               <span class="input-group-btn">
                                                               <span class="btn btn-default btn-file">
                                                                  <i class="fa fa-folder"></i>Fichier <input type="file" name="carGray" id="id_carGray">
                                                               </span>
                                                               </span>
                                                               <input type="text" class="form-control" name="fileUploaded" value="{{carteGrise.doc}}" readonly>
                                                            </div>
                                                         </div>
                                                      </div>
                                                      </div>
                                                   </fieldset>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <fieldset> <legend>Visite technique</legend>
                                                      <div class="row">
                                                        
                                                         <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                            <label class="control-label">Date de creation</label>
                                                            <input class="form-control" placeholder="10000" type="date" name="techDStart" value="{{visite.date_debut|date:'Y-m-d'}}">
                                                         </div>
                                                         <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                            <label class="control-label">Date d'expiration</label>
                                                            <input class="form-control" placeholder="10000" type="date" name="techDEnd" value="{{visite.date_fin|date:'Y-m-d'}}">
                                                         </div>
                                                         <div class="form-group">
                                                            <div class="col-md-6">
                                                               <label>Document <span class="color-red">*</span></label>
                                                               <div class="input-group">
                                                                  <span class="input-group-btn">
                                                                  <span class="btn btn-default btn-file">
                                                                     <i class="fa fa-folder"></i>Fichier <input type="file"  name="carTech" id="id_carTech">
                                                                  </span>
                                                                  </span>
                                                                  <input type="text" class="form-control" name="fileUploaded" value="{{visite.doc}}" readonly>
                                                               </div>
                                                            </div>
                                                         </div>
                                                      </div>
                                                      </fieldset>
                                                      <div class="clearfix" style="margin-bottom: 40px"></div>
                                                      <fieldset> <legend>Carte d'extecteur</legend>
                                                         <div class="row">
                                                           
                                                            <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                               <label class="control-label">Date de creation</label>
                                                               <input class="form-control" placeholder="10000" type="date" name="extDStart" value="{{extincteur.date_debut|date:'Y-m-d'}}">
                                                            </div>
                                                            <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                               <label class="control-label">Date d'expiration</label>
                                                               <input class="form-control" placeholder="10000" type="date" name="extDEnd" value="{{extincteur.date_fin|date:'Y-m-d'}}">
                                                            </div>
                                                            <div class="form-group">
                                                               <div class="col-md-6">
                                                                  <label>Document <span class="color-red">*</span></label>
                                                                  <div class="input-group">
                                                                     <span class="input-group-btn">
                                                                     <span class="btn btn-default btn-file">
                                                                        <i class="fa fa-folder"></i>Fichier <input type="file"  name="carExt" id="id_carExt">
                                                                     </span>
                                                                     </span>
                                                                     <input type="text" class="form-control" name="fileUploaded" value="{{extincteur.doc}}" readonly>
                                                                  </div>
                                                               </div>
                                                            </div>
                                                         </div>
                                                         </fieldset>
                                                      <div class="clearfix" style="margin-bottom: 40px"></div>
                                                      <ul class="list-inline pull-right">
                                                            <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                            <li><button type="button" class="btn btn-danger btn-info-full next-step">Sauvegarder et continuer</button></li>
                                                      </ul>
                                                      </div>
                                                   <div class="tab-pane" role="tabpanel" id="step6">
                                                   <h3>Disponibilité du véhicule</h3>
                                                   <p>periode de location</p>
                                                   <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                      <label class="control-label">Date de debut</label>
                                                      {{ form_Voiture.date_debut_location }}                                                   
                                                   </div>
                                                   <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                      <label class="control-label">Date de fin</label>
                                                      {{ form_Voiture.date_fin_location }}                                                   
                                                   </div>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <input type="hidden" name="alert" value="{{alert}}" readonly>
                                                   <input type="hidden" name="id_car" id="car_id" value="{{voiture.id}}" readonly>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <ul class="list-inline pull-right">
                                                         <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                         <li><button id="save-data" class="btn btn-danger btn-info-full next-step">Modifier</button></li>
                                                   </ul>
                                                   </div>
                                                      <div class="clearfix"></div>
                                                   </div>
                                                </form>
                                            </div>
                     </div>
                     <!-- end post-ad-form-->
                  </div>
                  <!-- end col -->
               </div>
               <!-- Row End -->
            </div>
            <!-- Main Container End -->
         </section>
      </div>
         {% block scripts %}


         <script src="{% static "js/dropzone.js" %}"></script>
         <script src="{% static "js/form-dropzone.js"" %}"></script>
 
         <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.10/jquery.mask.js"></script>

   <script type="text/javascript">
           //TEST SUR LE PREMIER FORMULAIRE

   </script>
            <script type="text/javascript">
            var fileList = new Array();
            var listeGal = {{ json_gal|safe }};
            var listeFil = {{ json_fil|safe }};
            thumbnailUrls = listeGal;
            Dropzone.autoDiscover = false;  //prevent dropzone to automatically discover the dropzone object in your html
            $("div#dropzone").dropzone({
                  uploadMultiple: true, // allow multiple upload
                  autoProcessQueue: false,
                  addRemoveLinks: true,
                  dictRemoveFile: "Supprimer", // prevent dropzone from uploading automatically
                  dictRemoveFileConfirmation: 'Voulez-vous vriament supprimer cette image?',
                  url: "/", //dropzone needs a url attribute or it complains, what value you put here does not really matter. It is only purpose is to prevent a javascript error message from chrome console
                  maxFiles: 5, //set max uploads to 5 since you only have 5 image files in your model
                  paramName: "file_upload",
                  init: function(){
                        //everytime a file is uploaded, save the file object
                        //for later use
                        //console.log(fileList.length);
                        this.on("addedfile", function(file)
                        {
                           if (fileList.length < 5)
                           {
                              fileList.push(file);
                              console.log("file added");
                              console.log(fileList.length);
                           }
                        });

                     //Populate any existing thumbnails
               
            
                     if (thumbnailUrls) {
                              for (var i = 0; i < thumbnailUrls.length; i++) {
                                 var fileNameIndex = thumbnailUrls[i].lastIndexOf("/") + 1;
                                 var filename = thumbnailUrls[i].substr(fileNameIndex);
                                 var ext = thumbnailUrls[i].split('/').reverse()[0].split('.').reverse()[0];   
                                 var mockFile = { 
                                    name: filename, 
                                    size: 12345, 
                                    type: 'image/'+ext, 
                                    isMock : true, 
                                    //serverImgUrl : "http://127.0.0.1:8000/media/voiture/voiture.jpg"
                              };
                              //var mockFile = { name: "immm.jpg", size: 12345, type: 'image/jpeg' };
                                    //this.addFile.call(this, mockFile);
                                    //this.options.addedfile.call(this, mockFile)
                                    //this.options.thumbnail.call(this, mockFile, "http://127.0.0.1:8000"+listeGal[i]);voiture/immm.jpeg
                                    //this.options.thumbnail.call(this, mockFile, "http://127.0.0.1:8000/media/voiture/voiture.jpg");
                                    //this.emit("thumbnail", mockFile, thumbnailUrls[i]);

                                    //this.files.push(mockFile);
                                    //fileList.push(mockFile)
                                    this.emit('addedfile', mockFile);
                                    this.emit("thumbnail", mockFile, thumbnailUrls[i]);
                                    this.emit('complete', mockFile);
                                    this._updateMaxFilesReachedClass();
                                    //fileList.push(mockFile)
                                    //this.files.push(mockFile);
                           }
                     }

                     //remove any existing thumbnails
                     this.on("removedfile", function (file) {
                           var rmvFile = file.name;
                           console.log("before removed: "+file.name);
                           var idCar = $("#car_id").val();
                           /*for (f=0; f < fileList.length; f++) {
                              console.log("liste Neame removed: "+fileList[f].name);
                              if (fileList[f].name == file.name) {
                                 rmvFile = fileList[f].name;
                                 fileList.remove(file);
                                 console.log("file removed");
                                 console.log(fileList.length);
                              }
                           }*/

                           if (rmvFile) {
                              $.ajax({
                                 url: "/deletGal/", //your php file path to remove specified image
                                 type: "POST",
                                 data: {
                                       filenamenew: rmvFile,
                                       idCar: idCar,
                                       type: 'delete',
                                       csrfmiddlewaretoken: '{{ csrf_token }}'
                                 },
                              });
                           }
                     });


                  }
               });


                // the following function override the "submit" button in the form
         $(document).on("click", '#save-data', function(e){
               e.preventDefault() //prevent the form from submitting 
               console.log('num of files: ' + fileList.length);
               var formData = new FormData(); // construct our own upload data
               var inputs = $("#newCarForm :input");
               var selects = $("#newCarForm select");
               
               //get all of the data from textboxes
               $.each(inputs, function(obj, v){
                     var name = $(v).attr("name")
                     var val = $(v).val();
                     if(name == "feature"){
                        val =  val.replace(/.*(\/|\\)/, '');
                        var fd = $('#imgInp')[0].files[0];
                        val = fd;                        }
                     if(name == "fichier"){
                     val =  val.replace(/.*(\/|\\)/, '');
                     var fd = $('#id_fichier')[0].files[0];
                     val = fd;                        }

                     if(name == "assure"){
                     val =  val.replace(/.*(\/|\\)/, '');
                     var fd = $('#id_assure')[0].files[0];
                     val = fd;                        }

                     if(name == "carGray"){
                     val =  val.replace(/.*(\/|\\)/, '');
                     var fd = $('#id_carGray')[0].files[0];
                     val = fd;                        }

                     if(name == "carTech"){
                     val =  val.replace(/.*(\/|\\)/, '');
                     var fd = $('#id_carTech')[0].files[0];
                     val = fd;                        }

                     if(name == "carExt"){
                     val =  val.replace(/.*(\/|\\)/, '');
                     var fd = $('#id_carExt')[0].files[0];
                     val = fd;                        }
                     if (name == "opt_free" || name == "opt_paie"){
                        if ($(v).is(':checked')) {
                           //console.log('name: ' + name + ' value: ' + val);
                           //formData.append(name, val);
                           val = $(v).val();
                        }else{
                           return;
                        }
                     }
                     console.log('name: ' + name + ' value: ' + val);
                     formData.append(name, val);
               });



              /* $("#id option").each(function(){
                     var name = $(this).attr("name")
                     var val = $(this).val();

                     console.log('name: ' + name + ' value: ' + val);
                     formData.append(name, val);
               });*/

               //get the file object from dropzone and put it into our formdata
               for(i=0;i<fileList.length;i++)
               {
                     formData.append('user_image'+(i+1), fileList[i]);
                     console.log('imag: ' + 'user_image'+(i+1) + ' value: ' + fileList[i].name);
               }
               //var feature = document.getElementById("id_feature").files[0].path
               formData.append('car_number_img', fileList.length);
               var request = new XMLHttpRequest();
               request.open("POST", "/modifCar/"); //config your post url here
               request.send(formData);  //send the post request to server
               //console.log('name: ' + $("input[name=alert]").val() + ' value: ' + $("input[name=alert]").val());
               request.addEventListener( "load", function(event) {
                   if (this.responseText == 1) {
                       swal({
                            title: "Modification effectuée.",
                            icon: "success",
                            button: "Fermer",
                        });
                   }else{
                        swal({
                            title: "Une erreur s'est produite.",
                            text: ""+this.responseText,
                            icon: "error",
                            button: "Fermer",
                        });
                   }
               } );
            });
           
      </script>
         <script type="text/javascript">
            
            //alert($);
            $(document).ready(function($){
               $('#id_immatriculation').mask("AA-000-SS", { placeholder: "GG-501-AA" });
               $('#id_date_naiss').mask("99/99/9999", { placeholder: "jj/MM/AAAA" });
            });
         </script>
<script>
   $("#id_ville").change(function () {
     var url = "/ajax_load_quartier/";  // get the url of the `load_cities` view
     var countryId = $(this).val();  // get the selected country ID from the HTML input

     $.ajax({                       // initialize an AJAX request
       url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
       data: {
         'ville': countryId       // add the country id to the GET parameters
       },
       success: function (data) {   // `data` is the return of the `load_cities` view function
         $("#id_quartier").html(data);  // replace the contents of the city input with the data that came from the server
       }
     });

   });
   $("#id_onwer_ville").change(function () {
     var url = "/ajax_load_quartier/";  // get the url of the `load_cities` view
     var countryId = $(this).val();  // get the selected country ID from the HTML input

     $.ajax({                       // initialize an AJAX request
       url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
       data: {
         'ville': countryId       // add the country id to the GET parameters
       },
       success: function (data) {   // `data` is the return of the `load_cities` view function
         $("#id_onwer_quartier").html(data);  // replace the contents of the city input with the data that came from the server
       }
     });

   });
 </script>
<script>
   $("#id_marque").change(function () {
     var url = "/ajax_load_modele/";  // get the url of the `load_cities` view
     var marque = $(this).val();  // get the selected country ID from the HTML input

     $.ajax({                       // initialize an AJAX request
       url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
       data: {
         'marque': marque       // add the country id to the GET parameters
       },
       success: function (data) {   // `data` is the return of the `load_cities` view function
         $("#id_modele").html(data);  // replace the contents of the city input with the data that came from the server
       }
     });

   });
 </script>

<script>
   $("#id_modele").change(function () {
     var url = "/ajax_load_type/";  // get the url of the `load_cities` view
     var modele = $(this).val();  // get the selected country ID from the HTML input

     $.ajax({                       // initialize an AJAX request
       url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
       data: {
         'modele': modele       // add the country id to the GET parameters
       },
       success: function (data) {   // `data` is the return of the `load_cities` view function
         $("#id_type_vehicule").html(data);  // replace the contents of the city input with the data that came from the server
       }
     });

   });
 </script>

<script type="text/javascript">
   $('#yesCheck').on('change',function(){
       if( $(this).val()==="non"){
      
       $("#ifYes").show();
       }
       else{
         $("#ifYes").hide();
       }
   });
</script>

<script type="text/javascript">
   $('#abnCheck').on('change',function(){
      console.log("oki");
       if( $(this).val()==="abonnement"){
      
       $("#mode").show();
       }
       else{
         $("#mode").hide();
       }
   });
</script>

<script type="text/javascript">
           //alert("Le mot de passe ne correspond pas a ce nom.\nEntrez un mot de passe valide SVP.");

       //TEST SUR LE PREMIER FORMULAIRE
       $(document).on("click", '#save-step1', function(e){
            var erreur = false;
            //alert($("#id_annee_mise_en_circulation").val())
            //TEST SUR LES VALEURS
            if($("#id_quartier").val().length <= 0){
               erreur = true;
           }
            if($("#id_ville").val().length <= 0){
                erreur = true;
           }
            if($("#id_description").val() == ''){
               erreur = true;
           }
            if($("#id_marque").val().length <= 0){
                erreur = true;
            }
            if($("#id_modele").val().length <= 0){
                erreur = true;
            }
            if($("#id_transmission").val().length <= 6){
                erreur = true;
            }
            if($("#id_carburant").val().length <= 5){
                erreur = true;
            }
            if($("#id_kilometrage").val().length <= 0){
                erreur = true;
            }
            if($("#id_immatriculation").val().length <= 6){
                erreur = true;
            }else{
                if (testImaat($("#id_immatriculation").val()) > 0){
                    erreur = true;
                }
            }
            if($("#id_annee_mise_en_circulation").val().length <= 3){
                erreur = true;
            }
            console.log(erreur);
            if(erreur == true){
                autoclick("v-step1");
                swal({
                    title: "Erreur lors de la validation.",
                    text: "Veuillez remplir correctement les champs.",
                    icon: "error",
                    button: "Fermer",
                });
            }else{
               console.log(erreur);
            }
       })
       //TEST SUR LE DEUXIEME FORMULAIRE
       $(document).on("click", '#save-step2', function(e){
             //autoclick("save-step1");
       });
       //TEST SUR LE TROISIEME FORMULAIRE
       $(document).on("click", '#save-step3', function(e){

       });
       $('#id_immatriculation').change(function () {
            testImaat($(this).val())
       });
       function testImaat(chaine) {
            var erreur = 0;
            if(chaine <= 7){
                swal({
                        title: "Erreur sur le numéro d'immatriculation.",
                        text: "Veuillez remplir correctement le numéro de la plaque d'immatriculation.",
                        icon: "error",
                        button: "Fermer",
                    });
                erreur = 1;
                $(this).focus();
            }
            else{
                if(chaine != {{ form_Voiture.immatriculation }}){
                     var immat = chaine;
                     var url = "/ajax_test_immat/";
                     $.ajax({                       // initialize an AJAX request
                    url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
                    data: {
                    'immat': immat       // add the country id to the GET parameters
                    },
                    success: function (data) {   // `data` is the return of the `load_cities` view function
                        if(data > 0){
                            swal({
                                    title: "Erreur sur le numéro d'immatriculation.",
                                    text: "La plaque d'immatriculation existe déja",
                                    icon: "error",
                                    button: "Fermer",
                                });
                            erreur = 1;
                            $(this).focus();
                        }
                    }
                });
                }
            }
            return erreur;
       }
</script>
{% endblock %}
{% endblock %}  